关于Cocoapods执行pod install时,RuntimeError - [Xcodeproj] Unknown object version.

96
原聪
2018.12.03 16:11 字数 187
错误截图

根据终端上提供的问题地址  https://github.com/CocoaPods/CocoaPods/issues/7458  ,打开以后查看评论找到了这样一个


评论

经过各种百度是需要gem更新,但在更新执行  sudo gem update --system  时,又提示


gem数据源出错

再继续查找问题时,发现是gem的域名变了,上面的taobao和china.org都不可以用了,新的域名为 https://gems.ruby-china.com/,所以需要更换gem的数据源,执行以下命令

gem sources --remove https://gems.ruby-china.org/ 

gem sources --add http://gems.ruby-china.com/

然后再用sudo gem update --system进行更新,再然后执行 sudo gem install cocopods ,如果出错,请看这个Cocopods 遇到You don't have write permissions for the /usr/bin directory.

程序员